Bug 123795 - Installation fails with "no valid devices were found.."
Installation fails with "no valid devices were found.."
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 125886 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 12:31 EDT by Bill Ralph
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:09:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Ralph 2004-05-20 12:31:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
While attempting an installation/upgrade of a FC1 system to FC2, the
installer cannot find the SCSI driver even though I manually load it:
"mpiscsih". The message is: "An error has occurred - no valid devices
were found on which to create new file systems. Please check your
hardware for the cause of this problem."

 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert FC2 CD #1.
2.Reboot.
3.
    

Actual Results:  "An error has occurred - no valid devices were found
on which to create new file systems. Please check your hardware for
the cause of this problem." Clicking OK on the box causes a reboot.

Expected Results:  Either the disk should have been auto-partitioned
or the user presented with Disk Druid to manually do it.

Additional info:

lspci
00:00.0 Host bridge: ServerWorks GCNB-LE Host Bridge (rev 32)
00:00.1 Host bridge: ServerWorks GCNB-LE Host Bridge
00:06.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5702
Gigabit Ethernet (rev 02)
00:0c.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:0f.0 ISA bridge: ServerWorks CSB5 South Bridge (rev 93)
00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 93)
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 05)
00:0f.3 Host bridge: ServerWorks GCLE Host Bridge
00:10.0 Host bridge: ServerWorks: Unknown device 0101 (rev 03)
00:10.2 Host bridge: ServerWorks: Unknown device 0101 (rev 03)
01:03.0 Ethernet controller: National Semiconductor Corporation
DP83815 (MacPhyter) Ethernet Controller
02:04.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1030
PCI-X Fusion-MPT Dual Ultra320 SCSI (rev 07)
02:05.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5702
Gigabit Ethernet (rev 02)

[root@joatmon root]# more /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 2.40GHz
stepping        : 9
cpu MHz         : 2392.163
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid
bogomips        : 4771.02
Comment 1 Jeremy Katz 2004-05-20 14:00:04 EDT
If you switch to tty2 at that point and run lsmod, can you verify that
mptscsih is loaded?  Can you also run the list-harddrives command?
Comment 2 Bill Ralph 2004-05-20 15:03:39 EDT
Switching to tty2, lsmod tells me that both mptbase and mptscsih were
loaded.

list-harddrives returns nothing but the prompt.
Comment 3 Jeremy Katz 2004-05-20 15:06:28 EDT
Are there any disks listed in /proc/scsi/scsi?
Comment 4 Bill Ralph 2004-05-21 14:49:19 EDT
No.:

Attached Devices:

Comment 5 Joe Cooper 2004-06-14 15:31:52 EDT
*** Bug 125886 has been marked as a duplicate of this bug. ***
Comment 6 Dave Jones 2005-04-16 00:09:52 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.